#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2026 by someone <someone@somenet.org>
#
#
# Playbook for provisioning the base-meta-role for all hosts. Also a reference of our vars.
#
# This playbook will be executed always: This is a speed optimization.
# Host-specific playbooks are meant to extend the base.
#
---
- hosts: all
  become: true
  roles:
  - { role: custom-command, tags: 'cc', when: cc is defined }
  - { role: cleanup, tags: ['cleanup'], when: not cc is defined and cleanup_level|int > 0 }
  - { role: base, tags: ['base'], when: not cc is defined and not skip_base|default('False')|bool }
